Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Get Run Spend

What each node of the run paid, priced from the ledger at read time.

GET/api/v1/runs/{run_id}/spend
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Path parameters
run_idstringrequired
Responses
200Successful Response
successboolean
default: true
dataRunSpend | any
Show properties
Any of:
RunSpend
nodesobjectrequired
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "/api/v1/runs/string/spend" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "success": true,
  "data": {
    "nodes": {
      "property1": {
        "usd": 0,
        "credits": 0,
        "calls": 0,
        "unpriced_calls": 0
      },
      "property2": {
        "usd": 0,
        "credits": 0,
        "calls": 0,
        "unpriced_calls": 0
      }
    }
  },
  "message": "string",
  "errors": [
    "string"
  ]
}